changeset 113:1d6fde73789d

debugging
author Henry S. Thompson <ht@inf.ed.ac.uk>
date Mon, 26 Apr 2021 17:17:58 +0000
parents bcea0410143c
children 6467024cd072
files bin/ix.sh
diffstat 1 files changed, 2 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/bin/ix.sh	Mon Apr 26 17:17:38 2021 +0000
+++ b/bin/ix.sh	Mon Apr 26 17:17:58 2021 +0000
@@ -66,7 +66,7 @@
       dd if="$f" of=/dev/stdout skip=$o count=$l \
 	  iflag=skip_bytes,count_bytes 2>> /tmp/ix_dd_log.txt
   fi | \
-{ unpigz -dp 1 -c || { printf "dd failure?: %s %s %s\n" $f $o $l 1>&2 ; continue ; } } |\
+{ ~/gentoo/usr/bin/igzip -dc || { printf "dd failure?: %s %s %s\n" $f $o $l 1>&2 ; continue ; } } |\
 { s="w"
 if [ "$p" ]
 then
@@ -106,6 +106,7 @@
      then
 	 # HTTP header
 	 wl=$((wl - ( ${#L} + 1 )))
+	 #echo $wl $bl 1>&2
 	 case "$L" in
 	     Content-Length:\ *) bl=${L##*: }
 		                 bl=${bl%%*([
[:space:]])}